Bug 1241859 - "NoSuchBeanException: No bean could be found in the registry for: ..." when deploying multiple SwitchYard applications with Camel services
Summary: "NoSuchBeanException: No bean could be found in the registry for: ..." when d...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR1
: ---
Assignee: tcunning
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On: 1197881
Blocks: 1214695
TreeView+ depends on / blocked
 
Reported: 2015-07-10 09:09 UTC by Tadayoshi Sato
Modified: 2019-08-15 04:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ENTESB-3592 Critical Resolved "NoSuchBeanException: No bean could be found in the registry for: ..." when deploying multiple SwitchYard applications w... 2018-02-01 10:42:50 UTC
Red Hat Issue Tracker SWITCHYARD-2610 Major Resolved Remove commit of 2124 2018-02-01 10:42:50 UTC

Description Tadayoshi Sato 2015-07-10 09:09:20 UTC
When several SwitchYard applications that contain a Camel service, each referring to a different CDI bean (<to uri="bean:cdiBeanX"/>) in the Camel route, are deployed at the same time via the Management Console, and then are invoked in parallel, some of them frequently fail with the following error:

-----
13:18:49,408 WARN  [org.apache.camel.util.ObjectHelper] (http-/127.0.0.1:8080-1) Cannot find class: cdiBean2
13:18:49,410 ERROR [org.apache.camel.processor.DefaultErrorHandler] (http-/127.0.0.1:8080-1) Failed delivery for (MessageId: ID-rilke-local-57043-1436501829124-3-3 on ExchangeId: ID-rilke-local-57043-1436501829124-3-4). Exhausted after delivery attempt: 1 caught: org.apache.camel.NoSuchBeanException: No bean could be found in the registry for: cdiBean2: org.apache.camel.NoSuchBeanException: No bean could be found in the registry for: cdiBean2
	at org.apache.camel.component.bean.RegistryBean.getBean(RegistryBean.java:87) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.component.bean.BeanProcessor.process(BeanProcessor.java:77) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:99) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.component.bean.BeanProcessor.process(BeanProcessor.java:67) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.impl.ProcessorEndpoint.onExchange(ProcessorEndpoint.java:101) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.impl.ProcessorEndpoint$1.process(ProcessorEndpoint.java:71) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	at org.apache.camel.util.AsyncProcessorConverterHelper$ProcessorToAsyncProcessorBridge.process(AsyncProcessorConverterHelper.java:61) [camel-core-2.10.0.redhat-60061.jar:2.10.0.redhat-60061]
	...
-----

Comment 1 Tadayoshi Sato 2015-07-14 06:25:07 UTC
It looks like BZ 1197881 (SWITCHYARD-2610) fixed the issue already.

Comment 4 JBoss JIRA Server 2015-10-09 14:05:21 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira ENTESB-3592 to Resolved

Comment 6 ppecka 2016-03-09 13:22:08 UTC
Reproduced, verified as in Comment #3


Note You need to log in before you can comment on or make changes to this bug.